Bug 161156 - 'mt tell' fails - backported kernel bug likely
Summary: 'mt tell' fails - backported kernel bug likely
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Doug Ledford
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Regression
: 161335 (view as bug list)
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-20 21:02 UTC by Mindy Preston
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 13:34:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for faulty return value (555 bytes, patch)
2005-07-11 21:30 UTC, Doug Ledford
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Mindy Preston 2005-06-20 21:02:13 UTC
Description of problem:

A SCSI tape drive can be read from and written to, but the command 'mt tell'
fails with 'no such device', even when the correct device is specified.  'mt
tell' succeeded with the same machine and tape drive under a 2.4 kernel and
earlier Red Hat release.  I believe this is a kernel issue that was backported
into 2.6.9 because it is mentioned on kerneltrap.org (
http://kerneltrap.org/node/4351 ).

Version-Release number of selected component (if applicable):

kernel-2.6.9-11.EL.SMP

How reproducible:

'mt -f <scsi device> tell'

Steps to Reproduce:
1. attach a SCSI drive to the system
2. "dmesg | grep Attached" to get the proper device
3. confirm read/write from that device succeed, as well as other mt commands
4. "mt tell"
  
Actual results:

/dev/st0: No such device

Expected results:

The block # the tape is currently on

Additional info:

Comment 1 Jason Baron 2005-06-23 18:38:15 UTC
*** Bug 161335 has been marked as a duplicate of this bug. ***

Comment 4 Doug Ledford 2005-07-11 21:30:36 UTC
Created attachment 116629 [details]
Fix for faulty return value

This should be all that's needed to solve the problem.	I don't have a tape
drive in my test system, so any testing of this would be appreciated.

Comment 5 Mindy Preston 2005-07-11 22:00:12 UTC
I have since moved the tape drive to a different machine, since the user needed
access to some data saved on DLTs.  Unfortunately, I won't be able to test this
for you in the near future.

Comment 6 Doug Ledford 2005-07-21 03:26:49 UTC
Patch committed to the U2 CVS tree, changing state to modified.

Comment 10 Red Hat Bugzilla 2005-10-05 13:34:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.